MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024812Open CASCADE[OCCT] OCCT:Documentationpublic2014-04-09 12:052020-10-09 10:43
Reporterkgv 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024812: Provide VS2012 debugger visualizer for OCCT types
Description>> In Visual Studio 2012 and later, visualizers can be put in a separate file in subdirectory *Visualizers*.
>> See file *occt.natvis* for example.
Documentation links to not existed file "occt.natvis".
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0024599closedabv Tools for interacting with DRAW from Visual Studio debugger 
parent of 0031095closedbugmaster Debugging - add code for display of TCollection_AsciiString as UTF-8 in Visual Studio debugger visualizer 

-  Notes
(0028756)
kgv (developer)
2014-04-09 12:14

Patch is ready for review in branch CR24812.
(0028758)
abv (manager)
2014-04-09 12:28

Reviewed, please integrate

- Related Changesets
occt: master 622d7f53
Timestamp: 2014-04-09 08:13:20
Author: agv
Committer: apn
Details ] Diff ]
0024812: Provide VS2012 debugger visualizer for OCCT types
mod - .gitattributes Diff ] File ]
add - dox/dev_guides/debug/occt.natvis Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-09 12:05 kgv New Issue
2014-04-09 12:05 kgv Assigned To => ysn
2014-04-09 12:05 kgv Relationship added related to 0024599
2014-04-09 12:14 kgv Note Added: 0028756
2014-04-09 12:14 kgv Assigned To ysn => abv
2014-04-09 12:14 kgv Status new => resolved
2014-04-09 12:28 abv Note Added: 0028758
2014-04-09 12:28 abv Assigned To abv => bugmaster
2014-04-09 12:28 abv Status resolved => reviewed
2014-04-09 12:28 abv Target Version 6.8.0 => 6.7.1
2014-04-09 12:28 abv Status reviewed => tested
2014-04-11 14:43 apn Changeset attached => occt master 622d7f53
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status tested => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1
2020-10-09 10:43 kgv Relationship added parent of 0031095


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker